Bug 1209539 - [abrt] gnash: gnash::DynamicShape::finalize(): gtk-gnash killed by SIGABRT
Summary: [abrt] gnash: gnash::DynamicShape::finalize(): gtk-gnash killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnash
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hicham HAOUARI
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b5de4357f502ac2bef5b6405e7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-07 15:29 UTC by Erick Omar Delgado
Modified: 2015-12-02 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:54:19 UTC


Attachments (Terms of Use)
File: backtrace (114.57 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: core_backtrace (18.82 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: dso_list (14.27 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: environ (2.72 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: maps (65.25 KB, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: open_fds (336 bytes, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2015-04-07 15:29 UTC, Erick Omar Delgado
no flags Details

Description Erick Omar Delgado 2015-04-07 15:29:27 UTC
Description of problem:
When watching a video on YouTube, I received the Problem Reporting app that Gnash quit unexpectedly. I honestly do not know as to what caused the problem. 

Version-Release number of selected component:
gnash-0.8.10-14.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gtk-gnash -u http://s0.2mdn.net/1782317/STA_HP15_BAN_GS6_PreOrder_Design_728x90_NR.swf -U http://ad.doubleclick.net/ddm/adi/N4478.668587.AODDISPLAY/B8646667.116955572;sz=728x90;click0=http://insight.adsrvr.org/track/clk?imp=9e06e130-5376-4b88-b531-3407bdbd5e6e&ag=jzrnzzd&crid=4xh9p31t&fq=1&td_s=www.tvguide.com&rcats=7sp,lki&mcat=&mste=&mfld=4&mssi=&mfsi=6cc1fgp&sv=openx&uhow=58&agsa=0x8D092684&rgco=United%20States&rgre=Pennsylvania&rgme=566&rgci=Harrisburg&dt=PC&osf=Linux&os=Other&br=Firefox&svpid=&rlangs=en,es&mlang=es&did=&rcxt=MobileOptimizedWeb&dur=CjYKHWNoYXJnZS1hbGxJbnRlZ3JhbEJyYW5kU2FmZXR5IhUI%2Bf%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FARIIaW50ZWdyYWwKPQokY2hhcmdlLWFsbEludGVncmFsU3VzcGljaW91c0FjdGl2aXR5IhUI9f%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FARIIaW50ZWdyYWw%3D&crrelr=&r=;ord=328972? -x 33585348 -j 728 -k 90 -F 31:32 -P SRC=http://s0.2mdn.net/1782317/STA_HP15_BAN_GS6_PreOrder_Design_728x90_NR.swf -P allowfullscreen=true -P allowfullscreeninteractive=true -P allowscriptaccess=always -P base=http://s0.2mdn.net/1782317 -P data=http://s0.2mdn.net/1782317/STA_HP15_BAN_GS6_PreOrder_Design_728x90_NR.swf -P flashvars=clickTag=http%3A%2F%2Fadclick.g.doubleclick.net%2Fpcs%2Fclick%3Fxai%3DAKAOjsv7lGEEtTS46TrNvBl2s_RxS3aBDdTARp5A_kStkaCtsVenrKc0RBtrfetTsS219GlSMYRgStT0luUkAbtEBj5E3a0qjMuPrGj-siJ_XWCc84NxlL-Af1tpaM3oLlRvm6X4KaRGGA%26sig%3DCg0ArKJSzD7n5vjTn5l4EAE%26adurl%3Dhttp%3A%2F%2Finsight.adsrvr.org%2Ftrack%2Fclk%253Fimp%253D9e06e130-5376-4b88-b531-3407bdbd5e6e%2526ag%253Djzrnzzd%2526crid%253D4xh9p31t%2526fq%253D1%2526td_s%253Dwww.tvguide.com%2526rcats%253D7sp%2Clki%2526mcat%253D%2526mste%253D%2526mfld%253D4%2526mssi%253D%2526mfsi%253D6cc1fgp%2526sv%253Dopenx%2526uhow%253D58%2526agsa%253D0x8D092684%2526rgco%253DUnited%252520States%2526rgre%253DPennsylvania%2526rgme%253D566%2526rgci%253DHarrisburg%2526dt%253DPC%2526osf%253DLinux%2526os%253DOther%2526br%253DFirefox%2526svpid%253D%2526rlangs%253Den%2Ces%2526mlang%253Des%2526did%253D%2526rcxt%253DMobileOptimizedWeb%2526dur%253DCjYKHWNoYXJnZS1hbGxJbnRlZ3JhbEJyYW5kU2FmZXR5IhUI%25252Bf%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252FARIIaW50ZWdyYWwKPQokY2hhcmdlLWFsbEludGVncmFsU3VzcGljaW91c0FjdGl2aXR5IhUI9f%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252FARIIaW50ZWdyYWw%25253D%2526crrelr%253D%2526r%253Dhttp%3A%2F%2Fsmgmb.us%2F22&clickTAG=http%3A%2F%2Fadclick.g.doubleclick.net%2Fpcs%2Fclick%3Fxai%3DAKAOjsv7lGEEtTS46TrNvBl2s_RxS3aBDdTARp5A_kStkaCtsVenrKc0RBtrfetTsS219GlSMYRgStT0luUkAbtEBj5E3a0qjMuPrGj-siJ_XWCc84NxlL-Af1tpaM3oLlRvm6X4KaRGGA%26sig%3DCg0ArKJSzD7n5vjTn5l4EAE%26adurl%3Dhttp%3A%2F%2Finsight.adsrvr.org%2Ftrack%2Fclk%253Fimp%253D9e06e130-5376-4b88-b531-3407bdbd5e6e%2526ag%253Djzrnzzd%2526crid%253D4xh9p31t%2526fq%253D1%2526td_s%253Dwww.tvguide.com%2526rcats%253D7sp%2Clki%2526mcat%253D%2526mste%253D%2526mfld%253D4%2526mssi%253D%2526mfsi%253D6cc1fgp%2526sv%253Dopenx%2526uhow%253D58%2526agsa%253D0x8D092684%2526rgco%253DUnited%252520States%2526rgre%253DPennsylvania%2526rgme%253D566%2526rgci%253DHarrisburg%2526dt%253DPC%2526osf%253DLinux%2526os%253DOther%2526br%253DFirefox%2526svpid%253D%2526rlangs%253Den%2Ces%2526mlang%253Des%2526did%253D%2526rcxt%253DMobileOptimizedWeb%2526dur%253DCjYKHWNoYXJnZS1hbGxJbnRlZ3JhbEJyYW5kU2FmZXR5IhUI%25252Bf%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252FARIIaW50ZWdyYWwKPQokY2hhcmdlLWFsbEludGVncmFsU3VzcGljaW91c0FjdGl2aXR5IhUI9f%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252F%25252FARIIaW50ZWdyYWw%25253D%2526crrelr%253D%2526r%253Dhttp%3A%2F%2Fsmgmb.us%2F22&ClickTag=http%3A%2F%2Fadclick.g.doubleclick.net%2Fpcs%2Fclick%3Fxai%3DAKAOjsv7lGEEtTS46TrNvBl2s_RxS3aBDdTARp5A_kStkaCtsVenrKc0RBtrfetTsS219GlSMYRgStT0luUkAbtEBj5E3a0qjMuPrGj-siJ_XWCc84NxlL-Af1tpaM3oLlRvm6X4KaRGGA%26sig%3DCg0ArKJSzD7n5vjTn5l4EAE%26adurl%3Dhttp%3A%2F%2Finsight.adsrvr.org%2Ftrack%2Fclk%253Fimp%253D9e06e130-5376-4b88-b531-3407bdbd5e6e%2526ag%253Djzrnzzd%2526crid%253D4xh9p31t%2526fq%253D1%2526td_s%253Dwww.tvguide.com%2526rcats%253D7sp%2Clki%2526mcat%253D%2526mste%253D%2526mfld%253D4%2526mssi%253D%2526mfsi%253D6cc1f
crash_function: gnash::DynamicShape::finalize
executable:     /usr/bin/gtk-gnash
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at sáb 2014-12-20 11:59:41 EST, end at mar 2015-04-07 11:14:45 EDT. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gnash::DynamicShape::finalize at DynamicShape.cpp:134
 #5 gnash::MovieClip::draw at MovieClip.cpp:1200
 #6 gnash::MovieClip::display at MovieClip.cpp:1216
 #7 gnash::DisplayObject::MaskRenderer::MaskRenderer at DisplayObject.cpp:980
 #8 gnash::MovieClip::draw at MovieClip.cpp:1198
 #9 gnash::MovieClip::display at MovieClip.cpp:1216
 #10 gnash::DisplayList::display at DisplayList.cpp:593
 #11 gnash::MovieClip::draw at MovieClip.cpp:1202
 #12 gnash::MovieClip::display at MovieClip.cpp:1216
 #13 gnash::DisplayList::display at DisplayList.cpp:593

Comment 1 Erick Omar Delgado 2015-04-07 15:29:30 UTC
Created attachment 1011835 [details]
File: backtrace

Comment 2 Erick Omar Delgado 2015-04-07 15:29:30 UTC
Created attachment 1011836 [details]
File: cgroup

Comment 3 Erick Omar Delgado 2015-04-07 15:29:31 UTC
Created attachment 1011837 [details]
File: core_backtrace

Comment 4 Erick Omar Delgado 2015-04-07 15:29:32 UTC
Created attachment 1011838 [details]
File: dso_list

Comment 5 Erick Omar Delgado 2015-04-07 15:29:33 UTC
Created attachment 1011839 [details]
File: environ

Comment 6 Erick Omar Delgado 2015-04-07 15:29:34 UTC
Created attachment 1011840 [details]
File: limits

Comment 7 Erick Omar Delgado 2015-04-07 15:29:35 UTC
Created attachment 1011841 [details]
File: maps

Comment 8 Erick Omar Delgado 2015-04-07 15:29:36 UTC
Created attachment 1011842 [details]
File: open_fds

Comment 9 Erick Omar Delgado 2015-04-07 15:29:36 UTC
Created attachment 1011843 [details]
File: proc_pid_status

Comment 10 Bastiaan Jacques 2015-04-14 14:56:58 UTC
Upstream report: https://savannah.gnu.org/bugs/index.php?44835

Comment 11 Fedora End Of Life 2015-11-04 12:41:06 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 10:54:23 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.